[GELÖST] Installation von ioBroker auf einem BPi

  • Bin gerade dabei mir zum testen ein IObroker System auszubauen. Dazu verwende ich einen Banana Pi mit dem Image von Igor Armbian Stretch

    Code
    1. root@bananapi: uname -a
    2. Linux bananapi 4.14.49-sunxi #471 SMP Tue Jun 12 00:04:47 UTC 2018 armv7l GNU/Linux

    Habe das System nach der Installation auf den Aktuellen stand gebracht und dann mit der Installation nach der Anleitung begonnen.

    Node Version ist wie in der Anleitung beschrieben installiert

    Code
    1. root@bananapi:~# node -v
    2. v0.12.6

    Nun bekomme ich wenn ich IObroker installieren möchte folgende Fehlermeldung

    Kann mir hier wer einen Tipp geben was da schief läuft?

  • Anscheinend was ich so jetzt gelesen habe habe passt die node Version nicht mit dem Kernel 4.14 zusammen. Die Node Version "0.12.6" ist noch für den Kernel 4.8. Wie kann ich die passende Node Version installieren oder welche ist die passenden Version die man braucht.

  • So wie es Aussieht konnte ich es selber Lösen. Habe zuerst du alte Note Version deinstalliert

    Code
    1. apt-get --purge remove node
    2. apt-get autoremove
    3. reboot

    Dann mir die Node Version 6 geholt

    Code
    1. curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
    2. apt-get install -y build-essential libavahi-compat-libdnssd-dev libudev-dev libpam0g-dev nodejs
    3. reboot

    Und das ganze noch mal installiert.

    Code
    1. cd /opt/iobroker
    2. npm install iobroker --unsafe-perm

    Mal sehen ob jetzt alles funktioniert. Sonst habe ich auch noch ein fertiges IMG gefunden für den Banana Pi. Ist zwar schon aus 01/2017 mit einem alten Kernel 4.6 aber zum testen müsste es schon gehen.

  • Code
    1. root@raspberrypi:/opt/iobroker# apt-get --purge remove node
    2. Paketlisten werden gelesen... Fertig
    3. Abhängigkeitsbaum wird aufgebaut.
    4. Statusinformationen werden eingelesen.... Fertig
    5. Paket »node« ist nicht installiert, wird also auch nicht entfernt.
    6. 0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
    7. root@raspberrypi:/opt/iobroker#

    wie das?